module CC
  module Styles
    class Engine < ::Rails::Engine
      initializer "cc.styles.assets.precompile" do |app|
        %w[stylesheets javascripts fonts images].each do |sub|
          app.config.assets.paths << root.join("assets", sub).to_s
          app.config.assets.precompile += ["cc/styles/logo/*", "cc/styles/icons/*"]
        end

        # sprockets-rails 3 tracks down the calls to `font_path` and `image_path`
        # and automatically precompiles the referenced assets.
        unless Sprockets::Rails::VERSION.split(".", 2)[0].to_i >= 3
          app.config.assets.precompile << %r{bootstrap/glyphicons-halflings-regular\.(?:eot|svg|ttf|woff2?)$}
        end
      end
    end
  end
end
